You are not logged in.

#1 2022-01-15 00:32:12

shoelesshunter
Member
Registered: 2014-05-18
Posts: 163

[solved]update fails. invalid or corrupted package

I am updating a machine I haven't used in months. over 1,500 packages. I was using aria2 as my Xfer command. all went well, until pacman told me an error had occurred. the error was do to the "external downloader" (I can't recall specific error).

I changed my pacman.conf to use the default method. I ran

 pacman -Syu 

again. I was then asked to import new keys. I did this, and pacman proceeded to fetch the remaining packages.

before the changes were committed, I was told a number of packages in the cache were corrupted, and would I like to remove them. I said, yes, to all.

at the end, I still get this error:

:: File /var/cache/pacman/pkg/wavemon-0.9.4-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Last edited by shoelesshunter (2022-01-15 03:18:07)

Offline

#2 2022-01-15 00:38:10

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 26,197
Website

Re: [solved]update fails. invalid or corrupted package


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

#3 2022-01-15 02:47:47

shoelesshunter
Member
Registered: 2014-05-18
Posts: 163

Re: [solved]update fails. invalid or corrupted package

I deleted all .part files with find. I also ran

pacman -Scc

I still get

error: runc: signature from "Frederik Schwan <frederik.schwan@linux.com>" is unknown trust
:: File /var/cache/pacman/pkg/runc-1.0.3-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 

Offline

#4 2022-01-15 03:16:31

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 29,821
Website

Re: [solved]update fails. invalid or corrupted package

shoelesshunter wrote:
Do you want to delete it? [Y/n] 

And?


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#5 2022-01-15 03:17:43

shoelesshunter
Member
Registered: 2014-05-18
Posts: 163

Re: [solved]update fails. invalid or corrupted package

I set

Siglevel = Never

in my pacman.conf

then I successfully updated. I did this when updating the 151 keys in the keyring hanged.

this is not ideal, but it works enough for now.

Offline

#6 2022-01-15 03:18:55

shoelesshunter
Member
Registered: 2014-05-18
Posts: 163

Re: [solved]update fails. invalid or corrupted package

jasonwryan wrote:
shoelesshunter wrote:
Do you want to delete it? [Y/n] 

And?

Yes, I deleted them, then it failed.

Offline

#7 2022-01-15 04:47:49

imnotpathetic
Member
Registered: 2021-10-29
Posts: 7

Re: [solved]update fails. invalid or corrupted package

Did you try going into live-iso and reinstalling or updating the keyring?

Offline

#8 2022-01-16 07:27:02

shoelesshunter
Member
Registered: 2014-05-18
Posts: 163

Re: [solved]update fails. invalid or corrupted package

right now thats not an option. I am in a rehab (tbh), and just got the laptop shipped here. I have no idea how long before I can buy a USB drive to make installation media.

Offline

#9 2022-01-16 13:25:59

wtx
Member
Registered: 2014-06-09
Posts: 76

Re: [solved]update fails. invalid or corrupted package

Unfortunately I have very similar problem:

# pacman -Syyu
(...)
Packages (2) cups-filters-1.28.11-1  jack2-1.9.20-2

Total Installed Size:   4,79 MiB
Net Upgrade Size:      -0,03 MiB

:: Proceed with installation? [Y/n] y
(2/2) checking keys in keyring                                                                   [########################################################] 100%
downloading required keys...
:: Import PGP key 94657AB20F2A092B, "Andreas Radke <andyrtr@archlinux.org>"? [Y/n] y
:: Import PGP key 7258734B41C31549, "David Runge <dvzrv@archlinux.org>"? [Y/n] y
(2/2) checking package integrity                                                                 [########################################################] 100%
error: cups-filters: signature from "Andreas Radke <andyrtr@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/cups-filters-1.28.11-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: jack2: signature from "David Runge <dvzrv@archlinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/jack2-1.9.20-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

I've already installed archlinux-keyring 20220114-1.

I also did:

# pacman-key --init
gpg: /etc/pacman.d/gnupg/trustdb.gpg: trustdb created
gpg: no ultimately trusted keys found
gpg: starting migration from earlier GnuPG versions
gpg: porting secret keys from '/etc/pacman.d/gnupg/secring.gpg' to gpg-agent
gpg: migration succeeded
==> Generating pacman master key. This may take some time.
gpg: Generating pacman keyring master key...
gpg: agent_genkey failed: No such file or directory
gpg: key generation failed: No such file or directory
gpg: Done
==> Updating trust database...
gpg: no need for a trustdb check

but I cannot identify the reason of the problems here:  "No such file or directory".

What can I do in such a situation to solve the problem with keys?

Offline

Board footer

Powered by FluxBB